Package org.kapott.hbci.dialog

# Interface RawHBCIDialog

All Known Implementing Classes:
  `AbstractRawHBCIDialog`, `AbstractRawHBCIDialogInit`, `HBCIDialogEnd`, `HBCIDialogFirstKeyRequest`, `HBCIDialogInit`, `HBCIDialogLockKeys`, `HBCIDialogSepaInfo`, `HBCIDialogSync`, `HBCIDialogTanMedia`

public interface RawHBCIDialog
Bei der Ausfuehrung von HBCI-Dialogen kommt es an mehreren Stellen zu Callbacks in Paspports, weil dort abhaengig vom Zugangsverfahren Sonderbehandlungen ergeben (im Wesentlichen PIN/TAN - Stichwort SCA sowie bei Schlüsseldateien). Da diese Callbacks im Laufe der Zeit zu unuebersichtlich geworden sind, gibt es jetzt generische Events und eine Kapselung der rohen HBCI-Dialoge. Interface fuer die rohen HBCI-Dialoge.

## Method Summary

Modifier and Type
Method
Description
`SCARequest`
`createSCARequest(Properties secmechInfo, int hktanVersion)`
Erzeugt einen SCA-Request.
`HBCIMsgStatus`
`execute(DialogContext ctx)`
Sendet die Dialog-Initialisierung an die Bank.
`KnownDialogTemplate`
`getTemplate()`
Liefert das Template.
`void`
`setTemplate(KnownDialogTemplate t)`
Speichert das Template.

## Method Details

### execute

HBCIMsgStatus execute(DialogContext ctx)
Sendet die Dialog-Initialisierung an die Bank.

Parameters:
  `ctx` - der Dialog-Context.
Returns:
  der Ausfuehrungsstatus. Darf niemals NULL sein. In dem Fall muss die Methode eine Exception werfen.

### getTemplate

KnownDialogTemplate getTemplate()
Liefert das Template.

Returns:
  das Template.

### setTemplate

void setTemplate(KnownDialogTemplate t)
Speichert das Template.

Parameters:
  `t` - das Template.

### createSCARequest

SCARequest createSCARequest(Properties secmechInfo, int hktanVersion)
Erzeugt einen SCA-Request.

Parameters:
  `secmechInfo` - die TAN-Verfahren-Parameter.
  `hktanVersion` - die HKTAN-Version.
Returns:
  der SCA-Request.